/* 
 * █▀▄ █░█ █▄░█ █▄▀ █▀▀ █░░ ░ █▀▀ █▀ █▀
 * █▄▀ █▄█ █░▀█ █░█ ██▄ █▄▄ ▄ █▄▄ ▄█ ▄█
 *
 * An minimal, markdown-orinted[1], classless stylesheet,
 * inspired by the Dark Souls fantasy game series.
 *
 *
 * [1]: What does that mean? That means that this stylesheet only has styles for
 *      all "natively" implemented elements supported by the original Markdown
 *      perl script by John Gruber.
 */

* {
  box-sizing: border-box;
}

:root {
  /* colours, just very minimal */
  --dark: oklch(20.105% 0.00397 285.961);
  --grey: oklch(83.902% 0.0001 271.152);
  --light: oklch(100% 0.00011 271.152);
  --glow: oklch(83.639% 0.12118 69.882);
  --glow-20: color-mix(in srgb, var(--glow) 20%, transparent);
  --glow-80: color-mix(in srgb, var(--glow) 80%, transparent);
}

::selection {
  background: var(--glow-20);
}

body {
  min-height: 100svh;
  color: var(--light);
  background-color: var(--dark);
}

h1,
h2,
h3,
h4,
h5,
h6 {
  text-wrap: balance;
  font-weight: 500;
  text-align: center;
  width: 100%;
  line-height: 0.9;
}

hr,
h1,
h2,
h3,
h4 {
  border-bottom: 2px solid;
  border-image: linear-gradient(
      to left,
      var(--dark),
      color-mix(in srgb, currentColor, var(--dark) 40%) 10% 90%,
      var(--dark)
    )
    1;
}

p,
ol,
li,
blockquote {
  text-wrap: pretty;
  line-height: 1.5;
}

/* make the h1 a lil bit bigger when it is in an header element */
header h1 {
  font-size: 4rem;
}

h1 {
  font-size: 3rem;
}

h2 {
  font-size: 2.5rem;
}

h3 {
  font-size: 2rem;
}

h4 {
  font-size: 1.7rem;
}

h5 {
  font-size: 1.4rem;
}

h6 {
  font-size: 1.2rem;
}

p {
  font-size: 1rem;
}

small {
  font-size: 0.8rem;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "EB Garamond", "Garamond";
  color: var(--light);
}

p,
li,
blockquote {
  font-family: "Times New Roman", serif;
  color: var(--grey);
}

code {
  font-family: monospace;
  padding: 2px;
}

ul,
ol {
  padding-inline-start: 40px;
}

ol {
  list-style: upper-roman;
}

img,
picture,
video,
svg,
figure {
  max-width: 100%;
  height: 100%;
  object-fit: cover;
}

h1,
h2,
h3,
h4,
h5,
h6,
section {
  margin-bottom: 0.5em;
  margin-top: 0.2rem;
}

a {
  text-decoration: none;
}

a[href] {
  color: var(--glow);
  transition: all 0.5s;
}

a[href]:hover {
  color: var(--glow-80);
  text-decoration: underline;
}

:is(h1, h2, h3, h4) a[href]:hover {
  text-decoration: none;
}

:is(h1, h2, h3, h4):has(a[href]) {
  color: var(--glow);
  transition: all 0.5s;
  &:hover {
    color: var(--glow-80);
  }
}

em,
strong {
  color: var(--glow-80);
}

blockquote,
code,
pre {
  background: color-mix(in srgb, var(--dark) 90%, var(--light));
}

blockquote,
pre {
  padding: 0.5rem;
}

blockquote {
  border-left: 3px solid var(--glow);
}
